texi2dvi {tools} | R Documentation

## Compile LaTeX Files

### Description

Run latex and bibtex until all cross-references are resolved and create either a dvi or PDF file.

### Usage

    texi2dvi(file, pdf = FALSE, clean = FALSE, quiet = TRUE,
             texi2dvi = getOption("texi2dvi"))

### Arguments

`file` | character. Name of LaTeX source file.
`pdf` | logical. If `TRUE`, a PDF file is produced instead of the default dvi file (`texi2dvi` command line option --pdf).
`clean` | logical. If `TRUE`, all auxiliary files are removed (`texi2dvi` command line option --clean). May not work on some platforms.
`quiet` | logical. No output unless an error occurs.
`texi2dvi` | character (or `NULL`). Script or program used to compile a TeX file to dvi or PDF, respectively. The default (selected by `NULL`) is to look for an executable on the search path and otherwise emulate the script with `system` calls.

### Details

Despite the name, this is used in R to compile LaTeX files, specifically those generated from vignettes.

### Author(s)

Achim Zeileis

[Package tools version 2.6.2 Index]